Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1486311 - OSP11 -> OSP12 upgrade: custom roles_data file validator
Summary: OSP11 -> OSP12 upgrade: custom roles_data file validator
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 12.0 (Pike)
Assignee: mathieu bultel
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-29 12:52 UTC by Marius Cornea
Modified: 2019-01-11 16:26 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-11 16:26:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 501600 0 None None None 2017-09-07 08:59:35 UTC

Description Marius Cornea 2017-08-29 12:52:20 UTC
Description of problem:
In OSP12 the roles in roles_data.yaml were assigned several new attributes:
https://github.com/openstack/tripleo-heat-templates/blob/master/roles_data.yaml#L152-L168

When upgrading composable roles deployments the roles data file needs to be manually adjusted to include all these new changes. Since there are quite a lot of such new attributes skipping one of them is very easy resulting in a potential failed upgrade. 

We need a validation tool that takes an adjusted roles_data file as an input and validates that it is OSP12 compatible and ready to be used during the upgrade process. 

Running this validation would become a mandatory step in the upgrade process of a composable roles deployment.

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-7.0.0-0.20170821194253.el7ost.noarch


Note You need to log in before you can comment on or make changes to this bug.